Bug 1161950 - [visual] output and progress bar not visible during package downloads specified by remote url
Summary: [visual] output and progress bar not visible during package downloads specifi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged, UserExperience
: 1222011 (view as bug list)
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs supermin-dnf
TreeView+ depends on / blocked
 
Reported: 2014-11-09 17:15 UTC by Antonio Trande
Modified: 2017-07-25 16:56 UTC (History)
12 users (show)

Fixed In Version: dnf-2.4.0-1.fc26 dnf-2.6.2-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 16:56:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Antonio Trande 2014-11-09 17:15:11 UTC
Description of problem:
If I install an RPM package directly from koji by using DNF, description output is totally absent (none progression on the download bar, informations of the dependences, ...). 

Version-Release number of selected component (if applicable):
- Fedora 21 Workstation beta
- dnf-0.6.2-1.fc21

How reproducible:
dnf install https://koji.fedoraproject.org/.../package.rpm

Comment 1 Honza Silhan 2014-11-11 11:25:42 UTC
Thanks for the report, we'll take a look.

Comment 2 Pino Toscano 2014-11-21 17:49:12 UTC
I just hit this as well, when working on improving the usage of dnf in supermin (#1156498).

From a very cursory glance, could it be dnf/cli/output.py:

    def setup_progress_callbacks(self):
        """Set up the progress callbacks and various
           output bars based on debug level.
        """
        progressbar = None
        if self.conf.debuglevel >= 2 and sys.stdout.isatty():
            progressbar = dnf.cli.progress.MultiFileProgressMeter(fo=sys.stdout)
            self.progress = dnf.cli.progress.MultiFileProgressMeter(fo=sys.stdout)

        # setup our depsolve progress callback
        return (progressbar, DepSolveProgressCallBack())

and indeed:

$ dnf download -vvv tree.x86_64 
cachedir: /var/tmp/dnf-pino-S9P5Sa/x86_64/22
Loaded plugins: copr, playground, download, Query, kickstart, generate_completion_cache, debuginfo-install, builddep, noroot, protected_packages
DNF version: 0.6.2
repo: using cache for: rawhide
not found updateinfo for: Fedora - Rawhide - Developmental packages for the next Fedora release
tree-1.7.0-3.fc22.x86_64.rpm                 [...]    7.7 MB/s |  55 kB     00:00

$ dnf download -vvv tree.x86_64 &> out
$ cat out 
cachedir: /var/tmp/dnf-pino-S9P5Sa/x86_64/22
Loaded plugins: copr, playground, download, Query, kickstart, generate_completion_cache, debuginfo-install, builddep, noroot, protected_packages
DNF version: 0.6.2
repo: using cache for: rawhide
not found updateinfo for: Fedora - Rawhide - Developmental packages for the next Fedora release

Even if not outputting things like speed as they change, at least getting feedback on what is happening would be nice (and needed actually, otherwise dnf is basically undebuggable when run in some automated way).

Comment 3 Honza Silhan 2014-11-24 09:58:22 UTC
Hi Pino, any reason why is this visual drawback a blocker?

Comment 4 Pino Toscano 2014-11-24 10:12:49 UTC
(In reply to Jan Silhan from comment #3)
> Hi Pino, any reason why is this visual drawback a blocker?

Because running dnf with its output e.g. piped to a file means that that log file would have no information about what was done by dnf; see also comment #0.

YMMV, but personally I don't find it useful that the actual "useful" parts of dnf output get nullified when the output is not a tty.

Comment 5 Radek Holy 2015-07-22 12:48:55 UTC
*** Bug 1222011 has been marked as a duplicate of this bug. ***

Comment 6 Radek Holy 2015-07-22 12:50:00 UTC
Since Michal assigned the duplicate to himself, I'm assigning this to him as well.

Comment 7 Fedora End Of Life 2015-11-04 15:21:40 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-12-02 04:52:03 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Honza Silhan 2016-01-11 12:32:27 UTC
remote packages should be treated the same as any package downloaded from repository.

Comment 10 Jaroslav Mracek 2016-01-11 12:33:20 UTC
*** Bug 1294953 has been marked as a duplicate of this bug. ***

Comment 11 Pino Toscano 2016-05-05 09:46:20 UTC
Still reproduceable in current rawhide, with the same example of comment #2.

Comment 12 Jan Kurik 2016-07-26 04:47:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 13 Jaroslav Mracek 2017-04-03 11:04:44 UTC
I try to implement it in pull request: https://github.com/rpm-software-management/dnf/pull/778 . Hope that it helps

Comment 14 Fedora Update System 2017-05-02 15:40:50 UTC
dnf-plugins-core-2.0.0-1.fc26 libdnf-0.8.2-1.fc26 dnf-2.4.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e95959f0d

Comment 15 Fedora Update System 2017-05-04 09:48:46 UTC
dnf-2.4.0-1.fc26 dnf-plugins-core-2.0.0-1.fc26 dnf-plugins-extras-2.0.0-1.fc26 libdnf-0.8.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e95959f0d

Comment 16 Fedora Update System 2017-05-04 22:05:03 UTC
dnf-2.4.0-1.fc26, dnf-plugins-core-2.0.0-1.fc26, dnf-plugins-extras-2.0.0-1.fc26, libdnf-0.8.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e95959f0d

Comment 17 Fedora Update System 2017-05-05 13:34:40 UTC
dnf-2.4.0-1.fc26, dnf-plugins-core-2.0.0-1.fc26, dnf-plugins-extras-2.0.0-1.fc26, libdnf-0.8.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Pino Toscano 2017-05-30 09:09:14 UTC
This can be still reproduced in current rawhide, with the same example of comment #2 -- using 
dnf-2.5.0-2.fc27.noarch.

Comment 19 Jaroslav Mracek 2017-05-31 08:38:06 UTC
I create pull-request that should solve the problem from Comment 2 (https://github.com/rpm-software-management/dnf/pull/833). Anyone that could test it is more then welcome.

Comment 20 Fedora Update System 2017-07-24 14:52:06 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 21 Fedora Update System 2017-07-25 04:27:16 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 22 Fedora Update System 2017-07-25 16:56:06 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.